#ifndef MSHOWSPECT_H
#define MSHOWSPECT_H

#include "Magic.h"

#include "MTask.h"
#include "MObjBuffer.h"
#include "MGDisplayAdc.h"

class MGDisplayAdc ; 

class MHistosAdc;
class MHistosTdc; 
class MParList ;

class MShowSpect : public MTask 
{
private:
  char       fHistName[256] ; 

  MHistosAdc *fHists;		// Pointer to Container with the histograms
  
 public:
  
  MShowSpect(char* histName );
  
  Bool_t PreProcess(MParList * pList); 
  Bool_t PostProcess();
  
  ClassDef(MShowSpect, 1)	// Fill the raw ADC in the histograms
};

#endif



